/*
	File:		BndngDef.h

	Contains:	constants used in both the code & resource of Binding

	Owned by:	Caia Grisar

	Copyright:	 1993 - 1996 by Apple Computer, Inc., all rights reserved.

	Change History (most recent first):

		 <3>	 6/27/96	jpa		1361886: Added rsrcs for NoPart
		 <2>	 6/27/96	RA		1361408: Added null viewer part handler
									viewer nmap and SOM ID's
		 <5>	 8/11/95	jpa		Number rsrcs from subsystem base [1276412]
		 <4>	 4/26/95	CG		1210975 BB: 5$ Bugs need to be evaluated
									and removed from Binding
		 <3>	 3/24/95	CG		#1229993: NoPart handles icon and thumbnail
									view types.
		 <2>	 2/16/95	CG		#1210975 BB: 5$ fix moved constants to
									StdDefs.idl
		 <1>	12/13/94	CG		first checked in
	To Do:
*/

#ifndef _BNDNGDEF_
#define _BNDNGDEF_

#ifndef _RSRCBASE_
#include "RsrcBase.h"
#endif

#define kBindingWarning				(kODBindingRsrcBase + 0)	/* ALRT / DITL */

#define kNoPartThumbnail			(kODBindingRsrcBase + 0)	/* PICT */
#define	kNoPartIconResID			(kODBindingRsrcBase + 0)	/* ICN# etc. */
#define kNoPartButtonIconResID		(kODBindingRsrcBase + 1)	/* ICN# etc. */

#define kNoPartDlogID				(kODBindingRsrcBase + 1)	/* ALRT / DITL */
#define kNoPartRootDlogID			(kODBindingRsrcBase + 2)	/* ALRT / DITL */

#define kNoPartMessageTableID		(kODBindingRsrcBase + 0)	/* errs / STR# */
#define kNoPartTranslationStrID		(kODBindingRsrcBase + 1)	/* STR# */

#define kNullViewerPartHandlerNMAP	(kODBindingRsrcBase + 0)	/* nmap */
#define kNullViewerPartHandler 		"zzzzz::zzzzz"

#endif // _BNDNGDEF_
