/*
	File:		PrefsDef.h

	Contains:	Constants for prefs

	Owned by:	Ed Lai

	Copyright:	 1993 - 1996 by Apple Computer, Inc., all rights reserved.

	Change History (most recent first):

		 <8>	 6/27/96	TJ		Added special OpenDoc editors type.
		 <7>	 6/22/96	EL		1210509: alert when two editors with same
									nmap. 1218948: alert when deleting pref
									file.
		 <6>	 6/19/96	EL		1358681: Resource IDs are in the reserved
									range.
		 <5>	  6/4/96	EL		1283131: Separate Alerts for bad alias in
									editor folder and in library folder.
		 <4>	 5/17/96	EL		#1263100: Add constants for update editor
									dialog.
		 <3>	  5/3/96	EL		1333188: define constant for Editor Hint
									File Type.
		 <2>	  2/2/96	TJ		Added defines for the oldest version of
									prefrences that we understand.
		 <9>	 8/30/95	CG		#1257569 FB3:Added kODPrefsFolderNameStrID.
		 <8>	 8/11/95	jpa		Number rsrcs from subsystem base [1276412]
		 <7>	 6/22/95	jpa		Added kODBadAliasInEditorsAlertID [1257556]
		 <6>	  6/9/95	CG		#1203571 implemented nmap caching
									mechanism.
		 <5>	 5/16/95	jpa		Added kODScanEditorsDialogID [1240150]
		 <3>	 2/14/95	TJ		Fixed copyright date.
		 <2>	 2/14/95	jpa		Added kODEditorHintFileName [1205141]
		 <1>	  2/2/95	CG		first checked in
	To Do:
*/

#ifndef _PREFSDEF_
#define _PREFSDEF_

#ifndef _RSRCBASE_
#include "RsrcBase.h"
#endif

#define kODPrefsFileNameStrID 		(kODCoreRsrcBase + 0)
#define kODEditorsFldrNameStrID 	(kODCoreRsrcBase + 1)
#define kODLibsFldrNameStrID		(kODCoreRsrcBase + 2)
#define kODPrefsFolderNameStrID 	(kODCoreRsrcBase + 3)
#define kODSpecialEditorType		'oded'

#define kODEditorHintFileType '\?\?\?\?'
#define kODEditorHintFileName "\pOpenDocInfo\r"
// This is the invisible file stored on the root of a volume whose data fork
// contains the name of the "Editors" folder. The name of this file is purposely
// NOT localized so that it can be found on all hard disks, regardless of their
// foreign tongues.

#define kODCacheFileName "\pODCacheFile\r"
// This is the invisible cache file stored at the top of each folder structure
// whose files contain nmap resources. The name of this file is purposely
// NOT localized so that it can be found on all hard disks, regardless of their
// foreign tongues.


#define kODScanEditorsDialogID			(kODCoreRsrcBase + 3)
#define kODBadAliasInEditorsAlertID		(kODCoreRsrcBase + 4)
#define kODBadAliasInLibrariesAlertID	(kODCoreRsrcBase + 5)
#define kODEditorNmapClashAlertID		(kODCoreRsrcBase + 6)
#define kODEditorPrefsDamagedAlertID	(kODCoreRsrcBase + 7)

#define kScanEditorsProgressItem		1
#define kScanEditorsStopButton		   	3

#define kPICTRsrcType					'PICT'
#define kScanEditorsProgressBarID		(kODCoreRsrcBase + 0)



// This is the oldest version of prefs that OpenDoc is compatible with
#define kODPrefsCompatiblemajorRev				1			/*1st part of version number in BCD*/
#define kODPrefsCompatibleminorAndBugRev 		0			/*2nd & 3rd part of version number share a byte*/
#define kODPrefsCompatiblestage					0x80		/*stage code: dev, alpha, beta, final*/
#define kODPrefsCompatiblenonRelRev				0			/*revision level of non-released version*/

#endif
