/*
	File:		Settings.cpp

	Contains:	stub code for the ODSettingsExtension class

	Owned by:	Tantek elik

	Copyright:	 1994 - 1995 by Apple Computer, Inc., all rights reserved.

	Change History (most recent first):
	
		 <5>	 10/8/95	TJ		Fixes Recomended by Refball
		 <4>	  8/3/95	RR		#1257260: Collapse B classes. Remove
									somInit methods. Don't call IsInitialized
									or SubclassResponsibility
		 <3>	 4/14/95	T		#1239962 BB: Need SOM_TRY in ShellPlugIn
									and Settings Extension
		 <2>	 3/16/95	T		#1225879 BB: Settings needs to call parent
									InitExtension
		 <1>	 8/16/94	T		first checked in
	
	To Do:
*/

#define ODSettingsExtension_Class_Source
#define VARIABLE_MACROS
#include <Settings.xih>


#pragma segment ODSettingsExtension


//==============================================================================
// ODSettingsExtension
//==============================================================================

SOM_Scope void  SOMLINK ODSettingsExtensionInitSettingsExtension(ODSettingsExtension *somSelf, Environment *ev,
		ODPart* owner)
{
    /* ODSettingsExtensionData *somThis = ODSettingsExtensionGetData(somSelf); */
    ODSettingsExtensionMethodDebug("ODSettingsExtension","ODSettingsExtensionInitSettingsExtension");

	SOM_TRY
	somSelf->InitExtension(ev, owner);
	SOM_CATCH_ALL
	SOM_ENDTRY
}

SOM_Scope void  SOMLINK ODSettingsExtensionShowSettings(ODSettingsExtension *somSelf, Environment *ev,
		ODFacet* facet)
{
    /* ODSettingsExtensionData *somThis = ODSettingsExtensionGetData(somSelf); */
    ODSettingsExtensionMethodDebug("ODSettingsExtension","ODSettingsExtensionShowSettings");

}

SOM_Scope void  SOMLINK ODSettingsExtensionsomUninit(ODSettingsExtension *somSelf)
{
    /* ODSettingsExtensionData *somThis = ODSettingsExtensionGetData(somSelf); */
    ODSettingsExtensionMethodDebug("ODSettingsExtension","ODSettingsExtensionsomUninit");

    ODSettingsExtension_parent_ODExtension_somUninit(somSelf);
}

SOM_Scope void  SOMLINK ODSettingsExtensionRelease(ODSettingsExtension *somSelf, Environment *ev)
{
    /* ODSettingsExtensionData *somThis = ODSettingsExtensionGetData(somSelf); */
    ODSettingsExtensionMethodDebug("ODSettingsExtension","ODSettingsExtensionRelease");

	SOM_TRY

	    ODSettingsExtension_parent_ODExtension_Release(somSelf,ev);

	SOM_CATCH_ALL
	SOM_ENDTRY
}
