/*
	File:		AGSupprt.h

	Contains:	xxx put contents here xxx

	Owned by:	Yan Arrouye

	Copyright:	 1995 - 1996 by Apple Computer, Inc., all rights reserved.

	Change History (most recent first):

		 <2>	  7/8/96	eeh		undo task 10008 (AppleGuide buttons)
				 8/31/95	Yan		Moved to ShareWare

	To Do:
*/


#ifndef _AGSUPPORT_
#define _AGSUPPORT_

#include <Types.h>

#ifndef __DIALOGS__
#include <Dialogs.h>
#endif


enum
{
	kAppleGuidesList	= 'AGd#',	// List of the guides we want in the help menu
	kAppleGuideInfo		= 'AGd?'	// Dialog specific help information
};



#ifdef _APPLEGUIDE_READY_

//-------------------------------------------------------------------------
//	IsAppleGuidePresent
//	
//	Returns true if AppleGuide is there.
//-------------------------------------------------------------------------

Boolean IsAppleGuidePresent();


//-------------------------------------------------------------------------
//	IsAppleGuideInstalled
//	
//	Returns true if AppleGuide is present and a guide was installed.
//-------------------------------------------------------------------------

Boolean IsAppleGuideInstalled();


//-------------------------------------------------------------------------
//	InstallAppleGuide
//	
//	Installs the guide in the help menu and initialize the AppleGuide support.
//	Call at init time
//-------------------------------------------------------------------------

void InstallAppleGuide();




//-------------------------------------------------------------------------
//	OpenAppleGuide
//	
//	Opens the database at the specified keyword
//-------------------------------------------------------------------------

Boolean OpenAppleGuide(StringPtr keyword = NULL);



//-------------------------------------------------------------------------
//	OpenAppleGuideMenuItem
//	
//	Opens the database at for the specified menu item
//-------------------------------------------------------------------------

//Boolean OpenAppleGuideMenuItem(short item);



//-------------------------------------------------------------------------
//	CloseAppleGuide
//	
//	Closes the database if it was opened and quits AppleGuide
//-------------------------------------------------------------------------

void CloseAppleGuide();

//Eric's added these; comment later those that remain
void InitAppleGuideSupport();
void TakedownAppleGuideSupport();
void DialogSetUpAppleGuide( DialogPtr dlg, short item );
void DialogTakedownAppleGuide();

#else
#define OpenAppleGuide();

#define InitAppleGuideSupport()
#define TakedownAppleGuideSupport()
#define DialogSetUpAppleGuide( dlg, item )
#define DialogTakedownAppleGuide()

#endif /* _APPLEGUIDE_READY_ */


#endif
