/*
	File:		DlgCmmn.r

	Contains:	Common resources needed by all dialogs (eg. appleguide support)

	Owned by:	Eric House

	Copyright:	 1996 by Apple Computer, Inc., all rights reserved.

	Change History (most recent first):

		 <0>	 6/7/96	eeh		first checked in

	To Do:
	In Progress:
*/

#define SystemSevenOrBetter 1			// we want the extended types
#define	SystemSevenOrLater	1			// Types.r uses this variable

#define oldTemp		//$$$$$ Needed to use old-style 'dctb' resource
#include "Types.r"
#undef oldTemp		//$$$$$ End of 'dctb' fix

#include "SysTypes.r"

#include "InfoDefs.h"
#include "DdgDefs.h"


data 'CDEF' (kAGButtonCDEFId, "AGButton", preLoad, locked) {
	/* need to fill in destination address before using this stub */
	$"41FA 0006"	/*LEA PC+8, A0		;A0 <- ptr to destination address */
	$"2050"			/*MOVEA.L (A0), A0	;A0 <- destination address */
	$"4ED0"			/*JMP (A0)			;jump to destination address */
	$"00000000"		/*destination address*/
};

resource 'CNTL' (kAppleGuideButton, "Help Button") {
	{0, 0, 16, 16},
	0,
	visible,
	0,
	0,
	176, /*(kAGButtonCDEFId << 4) + pushButProc,		/* is in TCP/IP */
	kQuestionMarkicsID,
	""
};

//	(kAGButtonCDEFId * 16) + pushButProc,		/* is in TCP/IP */

resource 'ics#' (kQuestionMarkicsID) {
	{	/* array: 2 elements */
		/* [1] */
		$"3FF8 47C4 8CE2 9C72 88E2 80C2 8182 8102"
		$"8102 8002 8382 87C2 87C2 4384 3FF8",
		/* [2] */
		$"3FF8 7FFC FFFE FFFE FFFE FFFE FFFE FFFE"
		$"FFFE FFFE FFFE FFFE FFFE 7FFC 3FF8"
	}
};

resource 'ics4' (kQuestionMarkicsID) {
	$"00CC CCCC CCCC C000 0CC0 CAAF AAC0 CC00"
	$"CC0C FC1C FFFC 0CA0 CC1F FA00 FFFF 1CA0"
	$"CC1D FD01 AFFF 1CA0 CC10 C00C FFFC 1CA0"
	$"CC11 00CD FAC1 1CA0 CC01 10DF DC11 0CA0"
	$"CCC0 11DA C110 CCA0 CCCC 01CD C10C CCA0"
	$"DCCC CAAF AACC CDA0 DDCC CCC0 CCCC DDA0"
	$"DDDD CAAF AACD DDA0 0DDD DCAF ACDD DA00"
	$"00AA AAAA AAAA A0"
};

resource 'ics8' (kQuestionMarkicsID) {
	$"0000 2B2B 2B2B 2B2B 2B2B 2B2B 2B00 0000"
	$"002B 2B00 2B89 FDFF FD89 2B00 2B2B 0000"
	$"2B2B 002B FF2B 052B FFFF FF2B 002B 8900"
	$"2B2B 05FF FFFD 0000 FFFF FFFF 052B 8900"
	$"2B2B 05F9 FFF9 0005 FDFF FFFF 052B 8900"
	$"2B2B 0500 2B00 002B FFFF FF2B 052B 8900"
	$"2B2B 0505 0000 2BF9 FFFD 2B05 052B 8900"
	$"2B2B 0005 0500 F9FF F92B 0505 002B 8900"
	$"2B2B 2B00 0505 F9FD 2B05 0500 2B2B 8900"
	$"2B2B 2B2B 0005 2BF9 2B05 002B 2B2B 8900"
	$"F92B 2B2B 2B89 FDFF FD89 2B2B 2BF9 8900"
	$"F9F9 2B2B 2B2B 2B00 2B2B 2B2B F9F9 8900"
	$"F9F9 F9F9 2B89 FDFF FD89 2BF9 F9F9 8900"
	$"00F9 F9F9 F92B FDFF FD2B F9F9 F989 0000"
	$"0000 8989 8989 8989 8989 8989 89"
};

