/*
	File:		DlgsInit.cpp

	Contains:	Init routines for the Dialogs library

	Owned by:	Eric House

	Copyright:	 1994 - 1996 by Apple Computer, Inc., all rights reserved.

	Change History (most recent first):

		 <2>	 6/21/96	eeh		task 10008: add buttons etc. for AppleGuide
		 <1>	 6/7/96	eeh		first checked in

	To Do:
	In Progress:
		
*/


#include <som.xh>
#include <somobj.xh>

#ifndef _USERSRCM_
#include <UseRsrcM.h>
#endif

#ifndef _ODMEMORY_
#include <ODMemory.h>
#endif

#ifndef _AGSUPPORT_
#include "AGSupprt.h"
#endif

extern "C" pascal OSErr DraftWindowCFMInit( CFragInitBlockPtr );

pascal OSErr DraftWindowCFMInit (CFragInitBlockPtr initBlkPtr)
{
	OSErr err = InitODMemory();
	if ( err == noErr )
	{
		InitLibraryResources(initBlkPtr);
		InitAppleGuideSupport();
	}
	return err;
}

extern "C" pascal void DraftWindowCFMTerminate();

pascal void DraftWindowCFMTerminate ()
{
	TakedownAppleGuideSupport();
	CloseLibraryResources();
}
