/*
	File:		DraftWLD.cpp

	Contains:	Implemementation of LDEF for Drafts dialog.

	Owned by:	Eric House

	Copyright:	 1994 - 1995 by Apple Computer, Inc., all rights reserved.

	Change History (most recent first):

		 <0>	 6/7/96	eeh		first checked in (moved from ::DocShell:)

	To Do:
*/

#ifndef __LISTS__
#include <Lists.h>
#endif

#ifndef _DRAFTWLD_
#include "DraftWLD.h"
#endif

////////////////////////////////////////////////////////////////////////////////
//
//	Drafts Window LDEF
//
////////////////////////////////////////////////////////////////////////////////


pascal void DRAFTWINDOWLDEF( short lMessage, Boolean lSelect, const Rect* lRect,
		Cell lCell, short /*lDataOffset*/, short /*lDataLen*/, ListHandle lHandle )
{
	switch( lMessage )
	{
		case lInitMsg :
		case lCloseMsg :
			return ;

		case lDrawMsg :
		case lHiliteMsg :
		{
			if ( lCell.h != 0 )
				return ;

			EraseRect( lRect ) ;
			
			DraftLDEFCallbackInfo* hc =
					(DraftLDEFCallbackInfo*)(*lHandle)->refCon ;
			(*hc->stringsProc)( hc, lCell.v, lRect );
/*
			if ( lSelect )
			{
				short oldPenMode = (*lHandle)->port->pnMode;
				PenMode( hilitetransfermode );
				PaintRect( lRect ) ;
				PenMode( oldPenMode );
			}
*/
			break ;
		}
	}
}	// DRAFTWINDOWLDEF
