/*
	File:		DraftWLD.h

	Contains:	header for LDEF for Drafts dialog.

	Owned by:	Eric House

	Copyright:	 1994 - 1995 by Apple Computer, Inc., all rights reserved.

	Change History (most recent first):

		 <0>	 6/7/96	eeh		first checked in (moved from ::DocShell:)

	To Do:
*/

#ifndef _DRAFTWLD_
#define _DRAFTWLD_

#ifndef __TYPES__
#include <Types.h>
#endif

#ifndef _SHELLDEF_
#include "ShellDef.h"
#endif

#ifndef _DRAFTWN_
#include "DraftWn.h"
#endif

struct DWStringsArray {
	Str255 creator;
	Str255 draft;
	Str255 created;
	Str255 comment;
};
typedef struct DWStringsArray DWStringsArray;

//typedef	ODBoolean (*GetDWUserStringProc)( DraftInfoRec *self, ODSShort row,
//		DWStringsArray* theStrings);

typedef	void (*DrawDWUserStringsProc)( struct DraftLDEFCallbackInfo *callbackInfo,
		ODSShort row, const Rect* listItemRect);

struct DraftLDEFCallbackInfo {
	DialogPtr dialog;
	DraftInfoRec *dir;
	DrawDWUserStringsProc stringsProc;
	struct {
		short right;
		short left;
		} rectEnds[4];
	struct {
		short right;
		short left;
		} arrowEnds;
};
typedef struct DraftLDEFCallbackInfo DraftLDEFCallbackInfo;

pascal void DRAFTWINDOWLDEF( short lMessage, Boolean lSelect, const Rect* lRect,
		Cell lCell, short /*lDataOffset*/, short /*lDataLen*/, ListHandle lHandle );


#endif // _DRAFTWLD_