/*
	File:		DraftWin.r

	Contains:	resources for the Drafts Dialog

	Owned by: Eric House

	Copyright:	 1994 - 1996 by Apple Computer, Inc., all rights reserved.

	Change History (most recent first):

		 <4>	  7/8/96	eeh		undo task 10008 (AppleGuide buttons)
		 <3>	 6/21/96	eeh		task 10008: add buttons etc. for AppleGuide
		 <2>	 6/19/96	EL		1283414: Delete draft alert should not be
									movable dialog
		 <0>	 6/7/96	eeh		first checked in (moved from ::DocShell:)

	To Do:
*/



#define SystemSevenOrBetter 1			// we want the extended types
#define	SystemSevenOrLater	1			// Types.r uses this variable

#define oldTemp			// to get 'dctb' resources to rez
#ifndef __TYPES_R__
#include "Types.r"
#endif
#undef oldTemp

#ifndef __SYSTYPES_R__
#include "SysTypes.r"
#endif

#ifndef _SHELLDEF_
#include "ShellDef.h"
#endif

/* Drafts dialog */

#define	kButtonHeight			20
#define	kButtonWidth			60
#define kItemOnEdgeWhtSp		10
#define kItemWhtSp				13
#define kIconWhtSp				23

#ifdef _APPLEGUIDE_READY_
#define	kAGButtonWidth			26
#else
#define	kAGButtonWidth			0
#endif

#define kDraftsDialogTop		40
#define kDraftsDialogLeft		18
#define kDraftsDialogBottom		241
#define kDraftsDialogRight		494
#define kDraftsDialogWidth		kDraftsDialogRight-kDraftsDialogLeft
#define kDraftsDialogHeight		kDraftsDialogBottom-kDraftsDialogTop
#define kButtonTop				kItemOnEdgeWhtSp+(2*kLineHeight)+3+115+kItemWhtSp
#define kCreateButtonRight		kItemOnEdgeWhtSp+103+kAGButtonWidth
#define kDraftsButtonWidth		80	

#define kTopBegin				10
#define kLineHeight 			14
#define kLeading				6
#define kLine					kLineHeight + kLeading
#define kLeftBegin				6
#define kIcon32Size				32
#define kIconWS					23
#define kButtonWS				13
#define kLabel1Width			55
#define kField1Width			125
#define kColonWidth				5
#define kNameRightJust  		20

resource 'DLOG' (kDraftsDlgID, "Drafts") {
	{kDraftsDialogTop, kDraftsDialogLeft, kDraftsDialogBottom, kDraftsDialogRight},
	movableDBoxProc,
	visible,
	noGoAway,
	0x0,
	kDraftsDlgID,
	"Drafts",
	alertPositionParentWindowScreen
};

resource 'DITL' (kDraftsDlgID, "Drafts") {
	{	/* array DITLarray: 11 elements */
		/* [1] */
		{kButtonTop, kItemOnEdgeWhtSp+kAGButtonWidth, kButtonTop+kButtonHeight, kCreateButtonRight /*kItemOnEdgeWhtSp+kDraftsButtonWidth*/ },
		Button {
			enabled,
			"Save Draft"
		},
		/* [2] */
		{kButtonTop, kDraftsDialogWidth-kItemOnEdgeWhtSp-kDraftsButtonWidth, kButtonTop+kButtonHeight, kDraftsDialogWidth-kItemOnEdgeWhtSp},
		Button {
			enabled,
			"Done"
		},
		/* [3] */
		{kButtonTop, kCreateButtonRight+kItemWhtSp, kButtonTop+kButtonHeight, kCreateButtonRight+kItemWhtSp+kDraftsButtonWidth},
		Button {
			enabled,
			"Delete"
		},
		/* [4] */
		{kButtonTop, kDraftsDialogWidth-kItemOnEdgeWhtSp-(2*kDraftsButtonWidth)-kItemWhtSp, kButtonTop+kButtonHeight, kDraftsDialogWidth-kItemOnEdgeWhtSp-kDraftsButtonWidth-kItemWhtSp},
		Button {
			enabled,
			"Open"
		},
		/* [5] */
		{kItemOnEdgeWhtSp+1, 17, kItemOnEdgeWhtSp+kLineHeight+1, 116},
		StaticText {
			disabled,
			"Creator"
		},
		/* [6] */
		{kItemOnEdgeWhtSp+1, 117, kItemOnEdgeWhtSp+kLineHeight+1, 148},
		StaticText {
			disabled,
			"Draft"
		},
		/* [7] */
		{kItemOnEdgeWhtSp+1, 149, kItemOnEdgeWhtSp+kLineHeight+1, 259},
		StaticText {
			disabled,
			"Created"
		},
		/* [8] */
		{kItemOnEdgeWhtSp+1, 260, kItemOnEdgeWhtSp+kLineHeight+1, 276},
		StaticText {
			disabled,
			""		/* this column is for the arrow */
		},
		/* [9] */
		{kItemOnEdgeWhtSp+1, 277, kItemOnEdgeWhtSp+kLineHeight+1, 451},
		StaticText {
			disabled,
			"Comment"
		},
		/* [10] - kDraftsHeaderRectUserItem */
		{kItemOnEdgeWhtSp-1, kItemOnEdgeWhtSp-1, kItemOnEdgeWhtSp+kLineHeight+3,
				kDraftsDialogWidth-kItemOnEdgeWhtSp+1},
		UserItem {
			disabled
		},
		/* [11] - kDraftsHorizRectUserItem */
		{kItemOnEdgeWhtSp+kLineHeight, kItemOnEdgeWhtSp, kItemOnEdgeWhtSp+kLineHeight+1, kDraftsDialogWidth-kItemOnEdgeWhtSp},
		UserItem {
			disabled
		},
		/* [12] - kDraftsListUserItem */
		{kItemOnEdgeWhtSp+kLineHeight+3, kItemOnEdgeWhtSp,
				kItemOnEdgeWhtSp+kLineHeight+2+115,
				kDraftsDialogWidth-kItemOnEdgeWhtSp+1},
		UserItem {
			enabled
		},
		/* [13] - kDraftsCreateUserItem */
		{kButtonTop-4, kItemOnEdgeWhtSp-4+kAGButtonWidth, kButtonTop+kButtonHeight+4,
				kCreateButtonRight /*kItemOnEdgeWhtSp+kDraftsButtonWidth*/ +4},
		UserItem {
			disabled
		},
		/* [14] - kDraftsDoneUserItem */
		{kButtonTop-4, kDraftsDialogWidth-kItemOnEdgeWhtSp-kDraftsButtonWidth-4,
				kButtonTop+kButtonHeight+4, kDraftsDialogWidth-kItemOnEdgeWhtSp+4},
		UserItem {
			disabled
		}
		/* [9] - kDraftsAppleGuideCtrl */
		/*,{kButtonTop+2, 10, kButtonTop + 18, kAGButtonWidth},
		Control {
			enabled,
			kAppleGuideButton
		}*/
	}
};

/* Command-key codes for corresponding dialog items in Drafts dialog */
resource 'STR#' ( kDraftsCmdKeyStrs, purgeable ) {
	{	"s",	/* Save button 		 */
		"d",	/* done button */
		"\0x00",/* delete button (fill space; will use delete key w/out cmd key */
		"o"		/* Open button 		 */	}
};

/* Command-key codes for corresponding dialog items in Drafts delete confirmation dlog */
resource 'STR#' ( kDraftsCreateCmdKeyStrs, purgeable ) {
	{	"s",	/* delete button 		 */
		"."		/* don't use "c" because conflict with copy */
	}
};

data 'ppat' (kDraftsDlgID, "Drafts") {
	$"0001 0000 001C 0000 004E 0000 0000 FFFF"
	$"0000 0000 FFFF FFFF FFFF FFFF 0000 0000"
	$"8001 0000 0000 0008 0008 0000 0000 0000"
	$"0000 0048 0000 0048 0000 0000 0001 0001"
	$"0001 0000 0000 0000 0056 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000"
};

resource 'dctb' (kDraftsDlgID) {
	0,
	0,
	{
		wContentColor,0xFFFF,0xFFFF,0xFFFF
	}
};

data 'ictb' (kDraftsDlgID) {
	$"0000 0000" 			/* [1]  Push button is unaffected			*/
	$"0000 0000" 			/* [2]  Push button is unaffected    		*/
	$"0000 0000" 			/* [3]  Push button is unaffected     		*/
	$"0000 0000" 			/* [4]  Push button is unaffected		    */
	$"0005 002C" 			/* [5]  Static text label is Geneva 10      */
	$"0005 002C" 			/* [6]  Static text label is Geneva 10      */
	$"0005 002C" 			/* [7]  Static text label is Geneva 10      */
	$"0005 002C" 			/* [8]  Static text label is Geneva 10      */
	$"0000 0000" 			/* [9]  UserItem is unaffected   		    */
	$"0000 0000" 			/* [10]  List userItem is unaffected	    	*/
	$"0000 0000" 			/* [11]  Button is unaffected      			*/
	/* Text style record */
    $"0001 0000 000A"      /* application font, size 10    */
    $"0000 0000 0000"      /* fore color        */
    $"0000 0000 0000 0000" /* back color + mode */
};


/* Drafts Window LDEF stub */
/*  copied from NIM: PPC System Software 1-35 */

data 'LDEF' (kDraftWinLDEFID, "DRAFTWINLDEF", preLoad, locked) {
	/* need to fill in destination address before using this stub */
	$"41FA 0006"	/*LEA PC+8, A0		;A0 <- ptr to destination address */
	$"2050"			/*MOVEA.L (A0), A0	;A0 <- destination address */
	$"4ED0"			/*JMP (A0)			;jump to destination address */
	$"00000000"		/*destination address*/
};



/* Create Drafts dialog */
#define kCreateDraftsDialogTop			40
#define kCreateDraftsDialogLeft			40
#define kCreateDraftsDialogBottom		kCreateDraftsDialogTop+kItemOnEdgeWhtSp+kLineHeight+kItemWhtSp+kLineHeight+kItemWhtSp+(3*kLineheight)+(2*kItemWhtSp)+kButtonHeight+kItemOnEdgeWhtSp
#define kCreateDraftsDialogRight		kCreateDraftsDialogLeft+373
#define kCreateDraftsDialogWidth		kCreateDraftsDialogRight-kCreateDraftsDialogLeft
#define kCreateDraftsDialogHeight		kCreateDraftsDialogBottom-kCreateDraftsDialogTop

#define kIcon32Size						32
#define kCreateDraftStaticDraftNumLeft	110
#define kCreateDraftStaticCommentsWidth	82
#define kCreateDraftStaticTxtRight		kIconWhtSp+kIcon32Size+kIconWhtSp+kCreateDraftStaticCommentsWidth
#define kCreateDraftEditTxtLeft			kCreateDraftStaticTxtRight+1

resource 'DLOG' (kCreateDraftsDlgID, "Save Draft") {
	{58, 22, 206, 346},
	movableDBoxProc,
	visible,
	noGoAway,
	0x0,
	kCreateDraftsDlgID,
	"Save Draft"
	/****** Extra bytes follow... ******/
	/* $"00B0 0A"                                            /* .. */
	,alertPositionParentWindowScreen							/* stolen from above */
};

resource 'DITL' (kCreateDraftsDlgID, "Save Draft") {
	{	/* array DITLarray: 8 elements */
		/* [1] */
		{112, 246, 132, 304},
		Button {
			enabled,
			"Save"
		},
		/* [2] */
		{112, 175, 132, 233},
		Button {
			enabled,
			"Cancel"
		},
		/* [3] */
		{9, 54, 24, 93},
		StaticText {
			disabled,
			"Draft:"
		},
		/* [4] */
		{36, 51, 50, 93},
		StaticText {
			disabled,
			"Name:"
		},
		/* [5] */
		{36, 102, 52, 304},
		EditText {
			enabled,
			"Flynn"
		},
		/* [6] */
		{65, 19, 79, 93},
		StaticText {
			disabled,
			"Comments:"
		},
		/* [7] */
		{65, 102, 97, 304},
		EditText {
			enabled,
			""
		},
		/* [8] */
		{9, 101, 24, 140},
		StaticText {
			disabled,
			"^0"
		}
		/* [9] - kDraftsAppleGuideCtrl */
		/*,{112+2, 10, 132-2, 26},
		Control {
			enabled,
			kAppleGuideButton
		}*/
	}
};

resource 'dctb' (kCreateDraftsDlgID) {
	0,
	0,
	{
		wContentColor,0xFFFF,0xFFFF,0xFFFF
	}
};

resource 'ICON' (kCreateDraftsDlgID, "Save Draft") {
	$"0000 0000 0000 0000 1FFF F000 1000 1000"
	$"1000 1000 11FF FF00 1100 0100 1100 0100"
	$"1100 0100 113F FF80 1120 00C0 1120 00A0"
	$"1120 0090 1120 00F8 1120 0008 1120 0008"
	$"1127 FFC8 1120 0008 1127 EEC8 1120 0008"
	$"1127 FFC8 1120 0008 1F20 0008 0120 0008"
	$"0120 0008 0120 0008 01E0 0008 0020 0008"
	$"0020 0008 0020 0008 003F FFF8"
};

/* Delete Draft dialog */
#define kDeleteDraftsAlertTop		38
#define kDeleteDraftsAlertLeft		26
#define kDeleteDraftsAlertBottom	142
#define kDeleteDraftsAlertRight		277+kIconWhtSp+kIcon32Size
#define kDeleteDraftsAlertWidth		kDeleteDraftsAlertRight - kDeleteDraftsAlertLeft
#define kDeleteDraftsAlertHeight	kDeleteDraftsAlertBottom - kDeleteDraftsAlertTop

resource 'DLOG' (kDeleteDraftsDlogID, "Delete Draft") {
	{kDeleteDraftsAlertTop, kDeleteDraftsAlertLeft, kDeleteDraftsAlertBottom, kDeleteDraftsAlertRight},
	dBoxProc,
	visible,
	noGoAway,
	0x0,
	kDeleteDraftsDlogID,
	"",
	alertPositionParentWindowScreen
};

resource 'DITL' (kDeleteDraftsDlogID, "Delete Draft") {
	{	/* array DITLarray: 8 elements */
		/* [1] */
		{kDeleteDraftsAlertHeight-kItemOnEdgeWhtSp-kButtonHeight, kDeleteDraftsAlertWidth-kItemOnEdgeWhtSp-kDraftsButtonWidth, kDeleteDraftsAlertHeight-kItemOnEdgeWhtSp, kDeleteDraftsAlertWidth-kItemOnEdgeWhtSp},
		Button {
			enabled,
			"Delete"
		},
		/* [2] */
		{kDeleteDraftsAlertHeight-kItemOnEdgeWhtSp-kButtonHeight, kDeleteDraftsAlertWidth-kItemOnEdgeWhtSp-kDraftsButtonWidth-kItemWhtSp-kDraftsButtonWidth, kDeleteDraftsAlertHeight-kItemOnEdgeWhtSp, kDeleteDraftsAlertWidth-kItemOnEdgeWhtSp-kDraftsButtonWidth-kItemWhtSp},
		Button {
			enabled,
			"Cancel"
		},
		/* [3] */
		{kItemOnEdgeWhtSp, kIconWhtSp+kIcon32Size+kItemWhtSp, kDeleteDraftsAlertHeight-kItemOnEdgeWhtSp-kButtonHeight-kItemWhtSp, kDeleteDraftsAlertWidth-kItemOnEdgeWhtSp},
		StaticText {
			disabled,
			"Delete draft #^0 of ^1?"
		},
		/* [4] */
		{kItemOnEdgeWhtSp, kIconWhtSp, kItemOnEdgeWhtSp+kIcon32Size, kIconWhtSp+kIcon32Size},
		Icon {
			disabled,
			2
		},
	}
};

resource 'STR ' (kDraftsWnTitleResID, purgeable) {
		"^0 drafts";
	};

resource 'STR ' (kDraftsWnDateSpaceResID, purgeable) {
		"^0 ^1";
	};

/*
	Icons for the comment-expansion triangle
	(Stolen from Toy Surprise)
*/

resource 'ics8' (kDWClosedTriangleResID) {
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 00FF 0000 0000 0000 0000 0000"
	$"0000 0000 00FF FF00 0000 0000 0000 0000"
	$"0000 0000 00FF 00FF 0000 0000 0000 0000"
	$"0000 0000 00FF 002A FF00 0000 0000 0000"
	$"0000 0000 00FF 002A 2AFF 0000 0000 0000"
	$"0000 0000 00FF 002A 2A2A FF00 0000 0000"
	$"0000 0000 00FF 002A 2A2A 55FF 0000 0000"
	$"0000 0000 00FF 002A 2A55 FF00 0000 0000"
	$"0000 0000 00FF 002A 55FF 0000 0000 0000"
	$"0000 0000 00FF 2A55 FF00 0000 0000 0000"
	$"0000 0000 00FF 55FF 0000 0000 0000 0000"
	$"0000 0000 00FF FF00 0000 0000 0000 0000"
	$"0000 0000 00FF"
};

resource 'ics8' (kDWOpenTriangleResID) {
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"00FF FFFF FFFF FFFF FFFF FFFF FFFF 0000"
	$"0000 FF00 2A00 2A00 2A00 2A55 FF00 0000"
	$"0000 00FF 2A2A 2A2A 2A2A 55FF 0000 0000"
	$"0000 0000 FF2A 2A2A 2A55 FF00 0000 0000"
	$"0000 0000 00FF 2A2A 55FF 0000 0000 0000"
	$"0000 0000 0000 FF55 FF00 0000 0000 0000"
	$"0000 0000 0000 00FF"
};

resource 'ics4' (kDWClosedTriangleResID) {
	$"0000 0000 0000 0000 0000 0F00 0000 0000"
	$"0000 0FF0 0000 0000 0000 0F0F 0000 0000"
	$"0000 0F07 F000 0000 0000 0F00 7F00 0000"
	$"0000 0F07 07F0 0000 0000 0F00 707F 0000"
	$"0000 0F07 07F0 0000 0000 0F00 7F00 0000"
	$"0000 0F07 F000 0000 0000 0F7F 0000 0000"
	$"0000 0FF0 0000 0000 0000 0F"
};

resource 'ics4' (kDWOpenTriangleResID) {
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0FFF FFFF FFFF FF00 00F0 C0C0 C0CC F000"
	$"000F CCCC CCCF 0000 0000 FCCC CCF0 0000"
	$"0000 0FCC CF00 0000 0000 00FC F000 0000"
	$"0000 000F"
};

resource 'ics#' (kDWClosedTriangleResID) {
	{	/* array: 2 elements */
		/* [1] */
		$"0000 0400 0600 0500 0480 0440 0420 0410"
		$"0420 0440 0480 0500 0600 04",
		/* [2] */
		$"0000 0400 0600 0700 0780 07C0 07E0 07F0"
		$"07F8 07F0 07E0 07C0 0780 0700 02"
	}
};

resource 'ics#' (kDWOpenTriangleResID) {
	{	/* array: 2 elements */
		/* [1] */
		$"0000 0000 0000 0000 7FFC 2008 1010 0820"
		$"0440 0280 01",
		/* [2] */
		$"0000 0000 0000 0000 7FFC 3FF8 1FFC 0FF8"
		$"07F0 03E0 01C0 0080"
	}
};

