/*
	File:		Info.r

	Contains:	resources for Part Frame Info

	Owned by:	Ed Lai

	Copyright:	 1993 - 1996 by Apple Computer, Inc., all rights reserved.

	Change History (most recent first):

		 <6>	 7/10/96	RA		1363236: Cosemtic Document/PartInfo dlg
									fixes
		 <5>	  7/8/96	eeh		undo task 10008 (AppleGuide buttons)
		 <4>	 6/25/96	eeh		1361733: shrink Settings button
		 <3>	 6/21/96	eeh		task 10008: add buttons etc. for AppleGuide
		 <2>	 6/19/96	EL		1358681: Resource IDs are in the reserved
									range. 1321655: latest dialog design from
									the HI team.
		 <0>	 6/7/96	eeh		first checked in (moved from ::Core:)

	To Do:
	In Progress:
*/

#define SystemSevenOrBetter 1			// we want the extended types
#define	SystemSevenOrLater	1			// Types.r uses this variable

#define oldTemp		//$$$$$ Needed to use old-style 'dctb' resource
#include "Types.r"
#undef oldTemp		//$$$$$ End of 'dctb' fix

#include "SysTypes.r"

#include "InfoDefs.h"
#include "DdgDefs.h"

#define kPartInfoLabelRight		121
#define kPartInfoDataItemLeft	123
#define kPartInfoDataItemRight	309
#define kPartInfoButtonTop		285
#ifdef _APPLEGUIDE_READY_
#define	kAGButtonWidth			26
#else
#define	kAGButtonWidth			0
#endif

resource 'DLOG' (kPartInfoDlgID, purgeable) {
	{0, 0, 315, 344},
	movableDBoxProc,
	invisible,
	noGoAway,
	0x0,
	kPartInfoDlgID,
	"Part Info",
	alertPositionParentWindowScreen
};

resource 'DITL' (kPartInfoDlgID, purgeable) {
	{	/* array DITLarray: 37 elements */
		/* [1] kPartInfoOKBtn */
		{kPartInfoButtonTop, 271, kPartInfoButtonTop+20, 330},
		Button {
			enabled,
			"OK"
		},
		/* [2] kPartInfoCancelBtn */
		{kPartInfoButtonTop, 197, kPartInfoButtonTop+20, 258},
		Button {
			enabled,
			"Cancel"
		},
		/* [3] kPartInfoSettingsButton */
		{kPartInfoButtonTop, 10+kAGButtonWidth, kPartInfoButtonTop+20, 122/*+26*/},
		Button {
			enabled,
			"Settings"
		},
		/* [4] kPartInfoCommentsFld */
		{233, 13, 272, kPartInfoDataItemRight+22 /*331*/},
		StaticText {
			disabled,
			""
		},
		/* [5] kPartInfoByFld */
		{202, kPartInfoDataItemLeft, 214, kPartInfoDataItemRight},
		UserItem {
			enabled
		},
		/* [6] */
		{202, 98, 214, kPartInfoLabelRight},
		StaticText {
			disabled,
			"By:"
		},
		/* [7] kPartInfoModifiedFld */
		{188, kPartInfoDataItemLeft, 200, kPartInfoDataItemRight},
		StaticText {
			disabled,
			"^2, ^3"
		},
		/* [8] */
		{188, 64, 200, kPartInfoLabelRight},
		StaticText {
			disabled,
			"Modified:"
		},
		/* [9] kPartInfoCreatedFld */
		{174, kPartInfoDataItemLeft, 186, kPartInfoDataItemRight},
		StaticText {
			disabled,
			"^0, ^1"
		},
		/* [10] */
		{174, 70, 186, kPartInfoLabelRight},
		StaticText {
			disabled,
			"Created:"
		},
		/* [11] kPartInfoSizeFld */
		{160, kPartInfoDataItemLeft, 172, kPartInfoDataItemRight},
		StaticText {
			disabled,
			""
		},
		/* [12] */
		{160, 89, 172, kPartInfoLabelRight},
		StaticText {
			disabled,
			"Size:"
		},
		/* [13] kPartInfoSep1 */
		{155, 10, 156, kPartInfoDataItemRight+22 /*331*/},
		UserItem {
			disabled
		},
		/* [14] kPartInfoEditorPopup */
		{132, 74, 148, kPartInfoDataItemRight+22-20 /*311*/},
		Control {
			enabled,
			kPartInfoEditorCntl
		},
		/* [15] kPartInfoKindPopup */
		{110, 83, 126, kPartInfoDataItemRight+22-20 /*311*/},
		Control {
			enabled,
			kPartInfoKindCntl
		},
		/* [16] kPartInfoCategoryFld */
		{90, kPartInfoDataItemLeft, 104, kPartInfoDataItemRight},
		UserItem {
			enabled
		},
		/* [17] */
		{90, 63, 104, kPartInfoLabelRight},
		StaticText {
			disabled,
			"Category:"
		},
		/* [18] kPartInfoSep2 */
		{85, 10, 86, kPartInfoDataItemRight+22 /*331*/},
		UserItem {
			disabled
		},
		/* [19] kPartInfoShowLinksCheckbox */
		{49, 234, 63, 309},
		CheckBox {
			enabled,
			""
		},
		/* [20] kPartInfoShowLinksText */
		{50, 252, 63, 309},
		StaticText {
			enabled,
			"Show Links"
		},
		/* [21] kPartInfoStationeryCheckbox */
		{33, 234, 47, 309},
		CheckBox {
			enabled,
			""
		},
		/* [22] kPartInfoStationeryText */
		{34, 252, 47, 309},
		StaticText {
			enabled,
			"Stationery"
		},
		/* [23] kPartInfoActPartRadBtn */
		{58, 120, 72, 205},
		RadioButton {
			enabled,
			""
		},
		/* [24]  kPartInfoSelPartRadBtn */
		{58, 212, 72, 297},
		RadioButton {
			enabled,
			""
		},
		/* [25] kPartInfoViewAsPopup */
		{35, 67, 51, 213},
		Control {
			enabled,
			kPartInfoViewAsCntl
		},
		/* [26] kPartInfoNameEditFld */
		{10, 124, 23, kPartInfoDataItemRight},
		StaticText {
			disabled,
			""
		},
		/* [27] */
		{11, 83, 25, kPartInfoLabelRight /*was 118*/},
		StaticText {
			disabled,
			"Name:"
		},
		/* [28] kPartInfoPartThumbnail */
		{10, 20, 42, 52},
		UserItem {
			disabled
		},
		/* [29] kPartInfoDefaultButtonItem */
		{278, 264, 306, 331},
		UserItem {
			disabled
		},
		/* [30] kPartInfoIDFld */
		{216, kPartInfoDataItemLeft, 228, kPartInfoDataItemRight},
		StaticText {
			disabled,
			""
		},
		/* [31] */
		{216, 41, 228, kPartInfoLabelRight},
		StaticText {
			disabled,
			"Scripting ID:"
		},
		/* [32] kPartInfoSettingsButton */
		{kPartInfoButtonTop, 129, kPartInfoButtonTop+20, 191},
		Button {
			enabled,
			"Size"
		},
		/* [33] kPartInfoEditorLabel */
		{132, 77, 132+16, kPartInfoLabelRight},
		StaticText {
			disabled,
			"Editor:"
		},
		/* [34] kPartInfoNoEditorText */
		{132, 75+50, 132+16, 75+50+200},
		StaticText {
			disabled,
			"None for this Kind"
		},
		/* [35] kPartInfoBundledText */
		{59, 68, 72, kPartInfoLabelRight},
		StaticText {
			disabled,
			"Click to:"
		},
		/* [36] kPartInfoReadOnlyPict */
		{64, 234, 79, 249},
		Picture {
			disabled,
			kPartInfoReadOnlyPictID
		},
		/* [37] kPartInfoReadOnlyText */
		{66, 251, 79, 307},
		StaticText {
			disabled,
			"Read Only"
		},
		/* [38] kPartInfoActPartText */
		{59, 138, 72, 205},
		StaticText {
			disabled,
			"Activate Part"
		},
		/* [39] kPartInfoSelPartText */
		{59, 230, 72, 297},
		StaticText {
			enabled,
			"Select Part"
		}
		/* [40] */
		/*,{kPartInfoButtonTop + 2, 10, kPartInfoButtonTop+14, kAGButtonWidth},
		Control {
			enabled,
			kAppleGuideButton
		}*/
	}
};

resource 'CNTL' (kPartInfoKindCntl, purgeable) {
		/*{106, 106, 122, kPartInfoDataItemRight-10},*/
		{110, 84, 126, kPartInfoDataItemRight+22-20},
		popupTitleBold+popupTitleRightJust,
		visible,
		38,					/* width of title in pixels     */
		kPartInfoKindMenu,	/* resource id of MENU resource */
		popupMenuCDEFproc+popupUseWFont+popupFixedWidth,
		0,					/* Refcon */
		"Kind:"
};

resource 'CNTL' (kPartInfoEditorCntl, purgeable) {
		/*{128, 97, 144, kPartInfoDataItemRight-10},*/
		{132, 75, 148, kPartInfoDataItemRight+22-20},
		popupTitleBold+popupTitleRightJust,
		visible,
		47,					/* width of title in pixels     */
		kPartInfoEditorMenu,				/* resource id of MENU resource */
		popupMenuCDEFproc+popupUseWFont+popupFixedWidth,
		0,					/* Refcon */
		"Editor:"
};

resource 'CNTL' (kPartInfoViewAsCntl, purgeable) {
		/*{31, 90, 47, 237},*/
		{35, 67, 51, 213},
		popupTitleBold+popupTitleRightJust,
		visible,
		54,					/* width of title in pixels     */
		kPartInfoViewAsMenu,				/* resource id of MENU resource */
		popupMenuCDEFproc+popupUseWFont+popupFixedWidth,
		0,					/* Refcon */
		"View as:"
};

data 'ppat' (kPartInfoDlgID, purgeable) {
	$"0001 0000 001C 0000 004E 0000 0000 FFFF"
	$"0000 0000 AA55 AA55 AA55 AA55 0000 0000"
	$"8001 0000 0000 0008 0008 0000 0000 0000"
	$"0000 0048 0000 0048 0000 0000 0001 0001"
	$"0001 0000 0000 0000 0056 0000 0000 55AA"
	$"55AA 55AA 55AA 0000 0000 0000 0001 0000"
	$"7777 7777 7777 0001 8888 8888 8888"
};

resource 'dctb' (kPartInfoDlgID, purgeable) {
	0,
	0,
	{
		wContentColor,0xFFFF,0xFFFF,0xFFFF
	}
};

data 'ictb' (kPartInfoDlgID, purgeable) 
{
	/* Item entries */

	/* offset      chng tabl     item */
	/* ------      ---- ----     ---- */
	/* +$0000 */ $"0000 0000" /* [1]  */
	             $"0000 0000" /* [2]  */
	             $"0000 0000" /* [3]  */
	             $"0000 0000" /* [4]  */
	/* +$0010 */ $"0000 0000" /* [5]  */
	             $"0002 009C" /* [6]  */
	             $"0000 0000" /* [7]  */
	             $"0002 009C" /* [8]  */
	/* +$0020 */ $"0000 0000" /* [9]  */
	             $"0002 009C" /* [10] */
	             $"0000 0000" /* [11] */
	             $"0002 009C" /* [12] */
	/* +$0030 */ $"0000 0000" /* [13] */
	             $"0000 0000" /* [14] */
	             $"0000 0000" /* [15] */
	             $"0000 0000" /* [16] */
	/* +$0040 */ $"0002 009C" /* [17] */
	             $"0000 0000" /* [18] */
	             $"0000 0000" /* [19] */
	             $"0000 0000" /* [20] */
	/* +$0050 */ $"0000 0000" /* [21] */
	             $"0000 0000" /* [22] */
	             $"0000 0000" /* [23] */
	             $"0000 0000" /* [24] */
	/* +$0060 */ $"0000 0000" /* [25] */
	             $"0000 0000" /* [26] */
	             $"0002 009C" /* [27] */
	             $"0000 0000" /* [28] */
	/* +$0070 */ $"0000 0000" /* [29] */
	             $"0000 0000" /* [30] */
	             $"0002 009C" /* [31] */
	             $"0000 0000" /* [32] */
	/* +$0080 */ $"0002 009C" /* [33] */
	             $"0000 0000" /* [34] */
	             $"0002 009C" /* [35] */
	             $"0000 0000" /* [36] */
	/* +$0090 */ $"0000 0000" /* [37] */
	             $"0000 0000" /* [38] */
	             $"0000 0000" /* [39] */
	
	/*                           ^^^^---- This column contains the dialog item number of   */
	/*                                    each entry in this resource.                     */
	/*                                                                                     */
    /*                  ^^^^------------- This column contains offsets into this resource. */
    /*                                    For instance, $009C means it points to the       */
    /*                                    beginning of the table below (offset $9C)        */
	/*                                                                                     */
    /*             ^^^^------------------ This column tells which part(s) of the style     */
    /*                                    table should be adhered to.                      */	
	
	/* If items are added to this dialog, you'll have to add those items to this resource  */
	/* as well, and this will change the offset above from $A8 to some other value.  Make  */
	/* sure this is changed in all of the above entries!                                   */
	
	
	/* Text style record(s) */

	/* +$009C */ $"0000"			/* font         (ignored) */
				 $"0100"			/* style = bold           */
				 $"0000"			/* size         (ignored) */
	             $"0000 0000 0000"	/* fore color   (ignored) */
	             $"0000 0000 0000"	/* back color   (ignored) */
	             $"0000"			/* mode         (ignored) */

	/* +$00B0 */	/* -- if you need more entries, add them here. */
};

resource 'MENU' (kPartInfoKindMenu, "Kind", nonpurgeable) {	// 'MENU' resources must not be purgeable [cc]
	kPartInfoKindMenu,
	textMenuProc,
	allEnabled,
	enabled,
	"Kind",
	{	/* array: 1 elements */
		"Translate to", noIcon, noKey, noMark, italic
	}
};

resource 'MENU' (kPartInfoEditorMenu, "Editor", nonpurgeable) {
	kPartInfoEditorMenu,
	textMenuProc,
	allEnabled,
	enabled,
	"Editor",
	{	/* array: 0 elements */
	}
};

resource 'MENU' (kPartInfoViewAsMenu, "View as", nonpurgeable) {
	kPartInfoViewAsMenu,
	textMenuProc,
	allEnabled,
	enabled,
	"View as:",
	{	/* array: 4 elements */
		"Frame", noIcon, noKey, noMark, plain,
		"Large Icon", noIcon, noKey, noMark, plain,
		"Small Icon", noIcon, noKey, noMark, plain,
		"Thumbnail", noIcon, noKey, noMark, plain
	}
};


resource 'finf' (kPartInfoDlgID, "", purgeable) {
	{
		3,			/* Font Number, 3 = Geneva	*/
		plain,		/* 		Font Style		*/
		10			/* 		Font Size		*/
	}
};

resource 'ALRT' (kPartInfoInvalidNameAlertID) {
	{44, 25, 173, 441},
	kPartInfoInvalidNameAlertID,
	{	/* array: 4 elements */
		/* [1] */
		OK, visible, sound1,
		/* [2] */
		OK, visible, sound1,
		/* [3] */
		OK, visible, sound1,
		/* [4] */
		OK, visible, sound1
	},
	alertPositionParentWindowScreen
};

resource 'DITL' (kPartInfoInvalidNameAlertID) {
	{	/* array DITLarray: 3 elements */
		/* [1] */
		{99, 342, 119, 400},
		Button {
			enabled,
			"OK"
		},
		/* [2] */
		{10, 62, 90, 400},
		StaticText {
			disabled,
			"The name cannot be used as a file name."
		},
		/* [3] */
		{10, 20, 42, 52},
		Icon {
			disabled,
			1
		}
	}
};

resource 'ALRT' (kPartInfoLongCommentAlertID) {
	{44, 25, 173, 441},
	kPartInfoLongCommentAlertID,
	{	/* array: 4 elements */
		/* [1] */
		OK, visible, sound1,
		/* [2] */
		OK, visible, sound1,
		/* [3] */
		OK, visible, sound1,
		/* [4] */
		OK, visible, sound1
	},
	alertPositionParentWindowScreen
};

resource 'DITL' (kPartInfoLongCommentAlertID) {
	{	/* array DITLarray: 3 elements */
		/* [1] */
		{99, 342, 119, 400},
		Button {
			enabled,
			"OK"
		},
		/* [2] */
		{10, 62, 90, 400},
		StaticText {
			disabled,
			"The comment will be truncated."
		},
		/* [3] */
		{10, 20, 42, 52},
		Icon {
			disabled,
			1
		}
	}
};

//-------------------------------------------------------------------------------------
// Strings used by Link Info dialogs
//-------------------------------------------------------------------------------------

resource 'STR ' (kODPartInfoSizeInBytes, purgeable) {
	"^0 bytes on disk"
};

resource 'STR ' (kODPartInfoSizeInK, purgeable) {
	"^0K on disk"
};

resource 'STR ' (kODPartInfoStrUnknownID, purgeable) {
	"Unknown"
};

resource 'STR ' (kODDocumentInfoWindowName, purgeable) {
	"Document Info"
};


resource 'STR#' (kODInfoUtilStrsID, purgeable) {
	{
		 "Unknown"
		;"None for this Kind"
	}
};

//-------------------------------------------------------------------------------------
//   Document Heap Size dialog resources
//-------------------------------------------------------------------------------------
 
 

resource 'DLOG' (kDocHeapDlgID, purgeable) {
	{96, 80, 266, 422},
	movableDBoxProc,
	invisible,
	noGoAway,
	0x0,
	kDocHeapDlgID,
	"Memory Requirements",
	alertPositionParentWindowScreen
};

resource 'DITL' (kDocHeapDlgID, purgeable) {
	{	/* array DITLarray: 13 elements */
		/* [1] kDocHeapOKBtn */
		{140, 271, 160, 329},
		Button {
			enabled,
			"OK"
		},
		/* [2] kDocHeapCancelBtn */
		{139, 200, 159, 258},
		Button {
			enabled,
			"Cancel"
		},
		/* [3] kDocHeapDefaultSizeRadBtn */
		{65, 20, 81, 237},
		RadioButton {
			enabled,
			"Use OpenDoc Default Size:"
		},
		/* [4] kDocHeapDefaultSizeFld */
		{65, 241, 81, 287},
		StaticText {
			enabled,
			"256"
		},
		/* [5] kDocHeapDefaultSizeBotBtnRect */
		{61+13, 317, 86, 332},
		UserItem {
			enabled
		},
		/* [6] kDocHeapPreferdSizeRadBtn */
		{99, 20, 115, 238},
		RadioButton {
			enabled,
			"Use Document Preferred Size:"
		},
		/* [7] kDocHeapPreferdSizeFld */
		{99, 241, 115, 287},
		StaticText {
			enabled,
			"1024"
		},
		/* [8] kDocHeapPreferdSizeBotBtnRect */
		{95+13, 317, 120, 332},
		UserItem {
			enabled
		},
		/* [9] */
		{20, 20, 36, 238},
		StaticText {
			disabled,
			"Set Memory Requirements for:"
		},
		/* [10] kDocHeapDocumentNameFld */
		{37, 20, 53, 236},
		StaticText {
			disabled,
			""
		},
		/* [11] */
		{65, 292, 81, 304},
		StaticText {
			disabled,
			"K"
		},
		/* [12] */
		{99, 292, 115, 304},
		StaticText {
			disabled,
			"K"
		},
		/* [13] kDocHeapDefaultButtonItem */
		{140-4, 271-4, 160+4, 329+4},
		UserItem {
			disabled
		},
		/* [14] kDocHeapDefaultSizeTopBtnRect */
		{61, 317, 61+12, 332},
		UserItem {
			enabled
		},
		/* [15] kDocHeapDefaultSizeBtns */
		{61, 317, 86, 332},
		Picture {
			disabled,
			kArrowBtnsPictOffID
		},
		/* [16] kDocHeapPreferdSizeTopBtnRect */
		{95, 317, 95+12, 332},
		UserItem {
			enabled
		},
		/* [17] kDocHeapPreferdSizeBtns */
		{95, 317, 120, 332},
		Picture {
			disabled,
			kArrowBtnsPictOffID
		},
		/* [18] */
		{140, 36, 155, 51},
		Picture {
			disabled,
			kPartInfoReadOnlyPictID
		},
		/* [19] */
		{142, 53, 155, 109},
		StaticText {
			disabled,
			"Read Only"
		},
		/* [20] */
		{129, 14, 162, 195},
		StaticText {
			disabled,
			"Changes take effect when the document is reopened."
		}
	}
};

resource 'finf' (kDocHeapDlgID, "", purgeable) {
	{
		3,			/* Font Number, 3 = Geneva	*/
		plain,		/* 		Font Style		*/
		10			/* 		Font Size		*/
	}
};

resource 'CNTL' (kArrowBtnsCntlID, purgeable) {
	{100, 153, 112, 190},
	0,
	visible,
	1,
	0,
	radioButProcUseWFont,
	0,
	"On"
};

resource kPICTRsrcType (kArrowBtnsPictOffID, purgeable) {
	109,
	{0, 0, 25, 15},
	$"1101 A000 8201 000A 0000 0000 02D0 0240"
	$"9000 0200 0000 0000 1900 1000 0000 0000"
	$"1900 0F00 0000 0000 1900 0F00 003F F840"
	$"0480 0281 0282 8284 4288 229C 7284 4284"
	$"4287 C280 0280 0280 0287 C284 4284 429C"
	$"7288 2284 4282 8281 0280 0240 043F F8A0"
	$"0083 FF"
};

resource kPICTRsrcType (kArrowBtnsPictTopOnID, purgeable) {
	109,
	{0, 0, 25, 15},
	$"1101 A000 8201 000A 0000 0000 02D0 0240"
	$"9000 0200 0000 0000 1900 1000 0000 0000"
	$"1900 0F00 0000 0000 1900 0F00 003F F840"
	$"0480 0281 0283 8287 C28F E29F F287 C287"
	$"C287 C280 0280 0280 0287 C284 4284 429C"
	$"7288 2284 4282 8281 0280 0240 043F F8A0"
	$"0083 FF"
};

resource kPICTRsrcType (kArrowBtnsPictBotOnID, purgeable) {
	109,
	{0, 0, 25, 15},
	$"1101 A000 8201 000A 0000 0000 02D0 0240"
	$"9000 0200 0000 0000 1900 1000 0000 0000"
	$"1900 0F00 0000 0000 1900 0F00 003F F840"
	$"0480 0281 0282 8284 4288 229C 7284 4284"
	$"4287 C280 0280 0280 0287 C287 C287 C29F"
	$"F28F E287 C283 8281 0280 0240 043F F8A0"
	$"0083 FF"
};

resource 'PICT' (kPartInfoReadOnlyPictID, purgeable) {
	276,
	{0, 0, 15, 15},
	$"1101 A030 39A0 0082 0100 0A00 0000 0003"
	$"6604 8091 0002 0000 0000 000F 0010 0000"
	$"0000 000F 000F 0000 0000 000F 000F 0000"
	$"00B8 0000 0000 000F 000F 0000 0001 0002"
	$"7FFF 0001 0001 0003 7FFF 0002 0002 0004"
	$"0009 000C 7FFF 0003 0003 0005 0008 0009"
	$"000C 000D 7FFF 0004 0004 0006 7FFF 0005"
	$"0005 0008 7FFF 0006 0006 0007 000C 000D"
	$"7FFF 0007 0006 0007 7FFF 0008 000B 000C"
	$"7FFF 0009 0005 0006 7FFF 000A 000A 000C"
	$"7FFF 000B 0009 000A 000B 000D 7FFF 000C"
	$"0008 0009 000C 000E 7FFF 000D 0007 0008"
	$"000D 000F 7FFF 000E 0000 0001 0002 0005"
	$"0006 0007 000E 000F 7FFF 000F 0000 0001"
	$"0002 0006 7FFF 7FFF 4000 2000 1070 0888"
	$"04C8 0338 0110 0290 0261 0420 0450 0788"
	$"0704 0602 BC00 A000 83FF"
};

