/*
	File:		SOMMem.cpp

	Contains:	Source for SOMCustomMemoryMgr fragment for doc stub

	Owned by:	Jens Alfke

	Copyright:	 1994 - 1995 Apple Computer, Inc. All Rights Reserved.

	Change History (most recent first):

		 <4>	 5/25/95	jpa		Added #pragma import [1241078]
		 <3>	 1/12/95	jpa		Don't use obsolete Toolbox names. [1211211]
		 <2>	  1/6/95	jpa		Fixed header comments.
		 <1>	  1/6/95	jpa		first checked in

	To Do:
*/

#define DEBUG 0					/* Define this to get a DebugStr when the lib loads */

#ifndef __CODEFRAGMENTS__
typedef void* CFragInitBlockPtr;		/* To avoid having to include FragLoad.h */
#endif


extern "C" {

#pragma import on

#if DEBUG && !defined(__TYPES__)
extern void DebugStr(void*);
#endif

#ifndef _MEMMGR_
extern void* MMGetDefaultHeap();
#endif

#pragma import off


#ifdef __CFM68K__
	pascal
#endif
		   short SOMCustomEtcCFMInit( CFragInitBlockPtr );
}




short
SOMCustomEtcCFMInit( CFragInitBlockPtr )
{
#if DEBUG
	DebugStr("\pSOMCustomEtcCFMInit");
#endif

	(void) MMGetDefaultHeap();	// No-op; forces dependency on MM lib
	
	return 0;
}
