
/*
 *  This file was generated by the SOM Compiler.
 *  Generated using:
 *     SOM incremental update: somc/smmain.c
 */

/*
	File:		ShellSI.cpp

	Contains:	Implementation of Mac specific ShellSI class.

	Owned by:	Nick Pilch

	Copyright:	 1994 - 1995 by Apple Computer, Inc., all rights reserved.

	Change History (most recent first):

		<10>	 10/8/95	TJ		Fixes Recomended by Refball
		 <9>	 8/26/95	T		1274606 FB2: Patching Remarks
		 <8>	  8/3/95	RR		#1257260: Collapse B classes. Remove
									somInit methods. Don't call IsInitialized
									or SubclassResponsibility
		 <7>	 5/21/95	NP		1249232: Gid rid of TokenInquiryProc.
									1250474: Change to CallGetMarkTokenProc.
									1248779: Change API of GetUserToken.
		 <6>	 4/28/95	eeh		1244258: remove IsValid and BaseRemoved
									override
		 <5>	 4/27/95	eeh		1230798: override IsValid and BaseRemoved
		 <4>	 1/27/95	NP		1213948: New classes for ODDesc et al.
		 <3>	 1/11/95	NP		#1188520-Pass real ODPart to parts.
		 <2>	  1/9/95	NP		1194880: ShellSI name changes.
		 <1>	11/15/94	NP		first checked in
		 <7>	 9/23/94	NP		1188520-Pass the real ODPart descendent to
									the SemanticInterface extension rather than
									the ODPartWrapper.
		 <6>	  9/9/94	NP		1185851: implement scripting. 1184040: API
									changes.
		 <5>	  9/9/94	jpa		Removed call to parent in Release, at
									Nick's request. [1185656]
		 <4>	  7/8/94	NP		Initialize fHelper field.
		 <3>	  7/8/94	NP		Fixed bugs, implemented coercion handlers,
									fixed initialization.
		 <2>	  7/5/94	NP		Filled in CallEventHandler.
		 <1>	  7/1/94	NP		first checked in

	To Do:
*/


#ifndef _EXCEPT_
#include "Except.h"
#endif

#define VARIABLE_MACROS
#define ShellSI_Class_Source
#include <ShellSI.xih>

//------------------------------------------------------------------------------
// ShellSI::somInit
//------------------------------------------------------------------------------

SOM_Scope void  SOMLINK ShellSIsomInit(ShellSI *somSelf)
{
	// ShellSIData *somThis = ShellSIGetData(somSelf);
    ShellSIMethodDebug("ShellSI","ShellSIsomInit");

    ShellSI_parents_somInit(somSelf);

	/* _fHelper = kODNULL; */ // som initializes fields to NULL.
}

//------------------------------------------------------------------------------
// ShellSI::InitCPlusSemanticInterface
//------------------------------------------------------------------------------

SOM_Scope void  SOMLINK ShellSIInitCPlusSemanticInterface(ShellSI *somSelf, Environment *ev,
		ODPart* base,
		SIHelperAbs* helper,
		ODSession* session)
{
    ShellSIData *somThis = ShellSIGetData(somSelf);
    ShellSIMethodDebug("ShellSI","ShellSIInitCPlusSemanticInterface");
	
	SOM_TRY
	somSelf->InitSemanticInterface(ev, base, session);
	SOM_CATCH_ALL
	SOM_ENDTRY
	
	_fHelper = helper;
}

//------------------------------------------------------------------------------
// ShellSI::somUninit
//------------------------------------------------------------------------------

SOM_Scope void  SOMLINK ShellSIsomUninit(ShellSI *somSelf)
{
    // ShellSIData *somThis = ShellSIGetData(somSelf);
    ShellSIMethodDebug("ShellSI","ShellSIsomUninit");

    ShellSI_parents_somUninit(somSelf);
}

//------------------------------------------------------------------------------
// ShellSI::GetSIHelper
//------------------------------------------------------------------------------

SOM_Scope SIHelperAbs*  SOMLINK ShellSIGetSIHelper(ShellSI *somSelf, Environment *ev)
{
    ShellSIData *somThis = ShellSIGetData(somSelf);
    ShellSIMethodDebug("ShellSI","ShellSIGetSIHelper");

    return _fHelper;
}

//------------------------------------------------------------------------------
// ShellSI::CallEventHandler
//------------------------------------------------------------------------------

SOM_Scope void  SOMLINK ShellSICallEventHandler(ShellSI *somSelf, Environment *ev,
		ODPart* thePart,
		ODAppleEvent* theODAppleEvent,
		ODAppleEvent* reply)
{
    ShellSIData *somThis = ShellSIGetData(somSelf);
    ShellSIMethodDebug("ShellSI","ShellSICallEventHandler");

	OSErr error;
	SOM_TRY
		somSelf->CheckValid(ev);
		error = _fHelper->CallEventHandler((ODPart*)somSelf->GetBase(ev),
												theODAppleEvent, reply);
		THROW_IF_ERROR(error);
	SOM_CATCH_ALL
	SOM_ENDTRY
}

//------------------------------------------------------------------------------
// ShellSI::CallCoercionHandler
//------------------------------------------------------------------------------

SOM_Scope void  SOMLINK ShellSICallCoercionHandler(ShellSI *somSelf, Environment *ev,
		ODPart* thePart,
		ODDesc* theODDesc,
		ODDescType toType,
		ODDesc* result)
{
    ShellSIData *somThis = ShellSIGetData(somSelf);
    ShellSIMethodDebug("ShellSI","ShellSICallCoercionHandler");

	OSErr error;
	SOM_TRY
		somSelf->CheckValid(ev);
		error = _fHelper->CallCoercionHandler((ODPart*)somSelf->GetBase(ev),
												theODDesc, toType, result);
		THROW_IF_ERROR(error);
	SOM_CATCH_ALL
	SOM_ENDTRY
}

//------------------------------------------------------------------------------
// ShellSI::CallObjectAccessor
//------------------------------------------------------------------------------

SOM_Scope void  SOMLINK ShellSICallObjectAccessor(ShellSI *somSelf, Environment *ev,
		ODPart* thePart,
		ODDescType desiredClass,
		ODOSLToken* container,
		ODDescType containerClass,
		ODDescType form,
		ODDesc* selectionData,
		ODOSLToken* value)
{
    ShellSIData *somThis = ShellSIGetData(somSelf);
    ShellSIMethodDebug("ShellSI","ShellSICallObjectAccessor");

	OSErr error;
	SOM_TRY
		somSelf->CheckValid(ev);
		error = _fHelper->CallObjectAccessor((ODPart*)somSelf->GetBase(ev),
												desiredClass, container,
												containerClass, form,
												selectionData, value);
		THROW_IF_ERROR(error);
	SOM_CATCH_ALL
	SOM_ENDTRY
}

//------------------------------------------------------------------------------
// ShellSI::CallPredispatchProc
//------------------------------------------------------------------------------

SOM_Scope void  SOMLINK ShellSICallPredispatchProc(ShellSI *somSelf, Environment *ev,
		ODPart* thePart,
		ODAppleEvent* theODAppleEvent,
		ODAppleEvent* reply)
{
    ShellSIData *somThis = ShellSIGetData(somSelf);
    ShellSIMethodDebug("ShellSI","ShellSICallPredispatchProc");

	OSErr error;
	SOM_TRY
		somSelf->CheckValid(ev);
		error = _fHelper->CallPredispatchProc((ODPart*)somSelf->GetBase(ev),
												theODAppleEvent, reply);
		THROW_IF_ERROR(error);
	SOM_CATCH_ALL
	SOM_ENDTRY
}

//------------------------------------------------------------------------------
// ShellSI::CallCompareProc
//------------------------------------------------------------------------------

SOM_Scope void  SOMLINK ShellSICallCompareProc(ShellSI *somSelf, Environment *ev,
		ODPart* thePart,
		ODDescType oper,
		ODOSLToken* obj1,
		ODOSLToken* obj2,
		ODBoolean* result)
{
    ShellSIData *somThis = ShellSIGetData(somSelf);
    ShellSIMethodDebug("ShellSI","ShellSICallCompareProc");

	OSErr error;
	SOM_TRY
		somSelf->CheckValid(ev);
		error = _fHelper->CallCompareProc((ODPart*)somSelf->GetBase(ev), oper,
												obj1, obj2, result);
		THROW_IF_ERROR(error);
	SOM_CATCH_ALL
	SOM_ENDTRY
}

//------------------------------------------------------------------------------
// ShellSI::CallCountProc
//------------------------------------------------------------------------------

SOM_Scope void  SOMLINK ShellSICallCountProc(ShellSI *somSelf, Environment *ev,
		ODPart* thePart,
		ODDescType desiredType,
		ODDescType containerClass,
		ODOSLToken* container,
		ODSLong* result)
{
    ShellSIData *somThis = ShellSIGetData(somSelf);
    ShellSIMethodDebug("ShellSI","ShellSICallCountProc");

    OSErr error;
	SOM_TRY
		somSelf->CheckValid(ev);
		error = _fHelper->CallCountProc((ODPart*)somSelf->GetBase(ev),
											desiredType, containerClass,
											container, result);
		THROW_IF_ERROR(error);
	SOM_CATCH_ALL
	SOM_ENDTRY
}

//------------------------------------------------------------------------------
// ShellSI::CallDisposeTokenProc
//------------------------------------------------------------------------------

SOM_Scope void  SOMLINK ShellSICallDisposeTokenProc(ShellSI *somSelf, Environment *ev,
		ODPart* thePart,
		ODOSLToken* unneededToken)
{
    ShellSIData *somThis = ShellSIGetData(somSelf);
    ShellSIMethodDebug("ShellSI","ShellSICallDisposeTokenProc");

	OSErr error;
	SOM_TRY
		somSelf->CheckValid(ev);
		error = _fHelper->CallDisposeTokenProc((ODPart*)somSelf->GetBase(ev),
													unneededToken);
		THROW_IF_ERROR(error);
	SOM_CATCH_ALL
	SOM_ENDTRY
}

//------------------------------------------------------------------------------
// ShellSI::CallGetErrDescProc
//------------------------------------------------------------------------------

SOM_Scope void  SOMLINK ShellSICallGetErrDescProc(ShellSI *somSelf, Environment *ev,
		ODPart* thePart,
		ODDesc** errDesc)
{
    ShellSIData *somThis = ShellSIGetData(somSelf);
    ShellSIMethodDebug("ShellSI","ShellSICallGetErrDescProc");

	OSErr error;
	SOM_TRY
		somSelf->CheckValid(ev);
		error = _fHelper->CallGetErrDescProc((ODPart*)somSelf->GetBase(ev),
												errDesc);
		THROW_IF_ERROR(error);
	SOM_CATCH_ALL
	SOM_ENDTRY
}

//------------------------------------------------------------------------------
// ShellSI::CallGetMarkTokenProc
//------------------------------------------------------------------------------

SOM_Scope void  SOMLINK ShellSICallGetMarkTokenProc(ShellSI *somSelf, Environment *ev,
		ODPart* thePart,
		ODOSLToken* dContainerToken,
		ODDescType containerClass,
		ODOSLToken* result)
{
    ShellSIData *somThis = ShellSIGetData(somSelf);
    ShellSIMethodDebug("ShellSI","ShellSICallGetMarkTokenProc");

	OSErr error;
	SOM_TRY
		somSelf->CheckValid(ev);
		error = _fHelper->CallGetMarkTokenProc((ODPart*)somSelf->GetBase(ev),
													dContainerToken,
													containerClass, result);
		THROW_IF_ERROR(error);
	SOM_CATCH_ALL
	SOM_ENDTRY
}

//------------------------------------------------------------------------------
// ShellSI::CallMarkProc
//------------------------------------------------------------------------------

SOM_Scope void  SOMLINK ShellSICallMarkProc(ShellSI *somSelf, Environment *ev,
		ODPart* thePart,
		ODOSLToken* dToken,
		ODOSLToken* markToken,
		ODSLong index)
{
    ShellSIData *somThis = ShellSIGetData(somSelf);
    ShellSIMethodDebug("ShellSI","ShellSICallMarkProc");

	OSErr error;
	SOM_TRY
		somSelf->CheckValid(ev);
		error = _fHelper->CallMarkProc((ODPart*)somSelf->GetBase(ev), dToken,
											markToken, index);
		THROW_IF_ERROR(error);
	SOM_CATCH_ALL
	SOM_ENDTRY
}

//------------------------------------------------------------------------------
// ShellSI::CallAdjustMarksProc
//------------------------------------------------------------------------------

SOM_Scope void  SOMLINK ShellSICallAdjustMarksProc(ShellSI *somSelf, Environment *ev,
		ODPart* thePart,
		ODSLong newStart,
		ODSLong newStop,
		ODOSLToken* markToken)
{
    ShellSIData *somThis = ShellSIGetData(somSelf);
    ShellSIMethodDebug("ShellSI","ShellSICallAdjustMarksProc");

	OSErr error;
	SOM_TRY
		somSelf->CheckValid(ev);
		error = _fHelper->CallAdjustMarksProc((ODPart*)somSelf->GetBase(ev),
												newStart, newStop, markToken);
		THROW_IF_ERROR(error);
	SOM_CATCH_ALL
	SOM_ENDTRY
}

