/*
	File:		CWMemCfg.h

	Contains:	New Project prefix file for Memory subsystem.

	Owned by:	Ted Jucevic

	Copyright:	 1995 - 1996 by Apple Computer, Inc., all rights reserved.

	Change History (most recent first):

		 <3>	 6/19/96	jpa		Remove optimization_level pragma for 68K.
		 <2>	 5/31/96	JA		CW68K: Added pragmas
		 <5>	 8/29/95	jpa		Enable optimization in nondebug build.
									[1280301]
		 <4>	  8/4/95	DM		Leak checking [1267956]
		 <3>	 5/25/95	jpa		Turn traceback on. [1253324]
		 <2>	 1/23/95	TJ		This is now the Project prefix file for
									Memory.  This change was to allow for the
									MM_DEBUG to be defined in a seperate file.
		 <1>	 1/23/95	TJ		first checked in

	To Do:
	In Progress:
		
*/

#ifdef __MWERKS__
	// Metrowerks precompiled headers:
	#ifdef __powerc
	#include <MacHeadersPPC>
	#else
	#include <MacHeadersCFM68K>
	#endif

	// Things already defined in the MPW precompiled header but not in CodeWarrior:
	#define SystemSevenOrLater 1
	#define ppcinterfaces			// GX headers want this, if using universal headers
	#define mw_bug 1				// Enables temporary SOM fix 'til CodeWarrior compiler is fixed
	
	#undef OLDROUTINENAMES
	#define OLDROUTINENAMES 0
	#ifndef OLDROUTINELOCATIONS
	#define OLDROUTINELOCATIONS 0
	#endif
#endif

#include "MemCnfig.h"

#include "MMDbgOpt.h"

#ifdef __MWERKS__
#if defined(powerc) || defined(__powerc)
	#if MM_DEBUG
		#pragma traceback on		/* Add traceback symbols for debugging */
		#pragma global_optimizer off
		#pragma scheduling off
	#else
		#pragma traceback off
		#pragma global_optimizer on
		#pragma optimization_level 4
		#pragma optimize_for_size on
		#pragma scheduling on
	#endif
#else /* 68K */
	#pragma code68020 on
	#pragma pcrelstrings off
	#if MM_DEBUG
		#pragma a6frames on
		#pragma macsbug on
		#pragma global_optimizer off
	#else
		#pragma a6frames off
		#pragma macsbug off
		#pragma global_optimizer on
		#pragma optimize_for_size on
	#endif
#endif
#endif