/*
	File:		MemMgrPv.h

	Contains:	Private API for memory manager

	Owned by:	Jens Alfke

	Copyright:	 1994 - 1995 by Apple Computer, Inc., all rights reserved.

	Change History (most recent first):
	
		 <4>	  8/4/95	DM		Leak detection [1267956]
		 <3>	10/24/94	jpa		Constness [1194286].
		 <2>	 9/29/94	RA		1189812: Mods for 68K build.
		 <1>	 9/14/94	jpa		first checked in

	To Do:
	In Progress:
		
*/


#ifndef _MEMMGRPV_
#define _MEMMGRPV_
#pragma once

#ifndef _MEMMGR_
#include "MemMgr.h"
#endif

#ifndef _BESTFITH_
#include "BestFitH.h"
#endif


struct MemHeap {		// All this does is keep scpp quiet; this is a bogus type
};


class BestFitHeap;


//==============================================================================
// GLOBAL VARIABLES
//==============================================================================

extern MMBoolean	 gHaveSOM;			// Is SOM installed?

extern BestFitHeap	*gDefaultHeap;


#if MM_DEBUG
extern MMBoolean gValidate;
extern MMBoolean gHeapChecking;
#endif


#ifdef MEASURE_SOM
extern size_t gSOMTotal;
#endif


//==============================================================================
// FUNCTIONS
//==============================================================================


const char*	BasicValidatePtr( const void *p, MMBoolean mustBeInHeap = kMMTrue );

BestFitHeap* GetHeap( const void* block, const char *op );




#endif