/*
	File:		CMTypes.h

	Contains:	Container Manager Private "Types.h"

	Written by:	Ira L. Ruben

	Owned by:	Ed Lai

	Copyright:	 1991-1994 by Apple Computer, Inc., all rights reserved.

	Change History (most recent first):

		 <2>	 8/26/94	EL		#1181622 Ownership update.

	To Do:
*/

/*---------------------------------------------------------------------------*
 |                                                                           |
 |                             <<< CMTypes.h >>>                             |
 |                                                                           |
 |                    Container Manager Private "Types.h"                    |
 |                                                                           |
 |                               Ira L. Ruben                                |
 |                                 11/18/91                                  |
 |                                                                           |
 |                  Copyright Apple Computer, Inc. 1991-1994                 |
 |                           All rights reserved.                            |
 |                                                                           |
 *---------------------------------------------------------------------------*

 This file is the "moral equivalent" to Apple's Types.h, stripped down to the basic
 definitions needed by the Container Manager.  All internal Container Manager code files
 include this header.  Because of that, those files do not include the other environmental
 and configuration headers because we do that here for them.  Thus this file is to be
 include for all basic definitions.
*/

#ifndef __CMTYPES__
#define __CMTYPES__

#ifndef __CM_API_ENV__
#include "CMAPIEnv.h"
#endif
#ifndef __CMCONFIG__
#include "CMConfig.h"
#endif


#ifndef __DEBUG__
#define __DEBUG__ 0
#endif


/*---------------------*
 | Mac "Types.h" Stuff |
 *---------------------*
 
 These are some basic types we use internally in the Container Manager:
*/

#ifndef __TYPES__															/* allows me to test with Macintosh MPW 	*/

typedef unsigned char Boolean;								/* Booleans...														*/
enum {false,true};

#endif


/*-----------------------*
 | Debugging Definitions |
 *-----------------------*
 
 For Mac debugging, the low level Mac debugger, "MacsBug" is used.  It's definitions are
 defined under a __DEBUG__ compile-time switch. 
*/

#if __DEBUG__
#ifndef __TYPES__

															CM_CFUNCTIONS
															
pascal void Debugger(void) = 0xA9FF; 
pascal void DebugStr(const unsigned char * aStr) = 0xABFF; 

														CM_END_CFUNCTIONS

#endif /* __TYPES__ */
#endif /* __DEBUG__ */

#endif /* __CMTYPES__ */
