/*
	File:		Storage.r

	Contains:	Resources for the Storage subsystem

	Owned by:	David McCusker

	Copyright:	 1996 by Apple Computer, Inc., all rights reserved.

	Change History (most recent first):

		 <4>	 6/22/96	EL		1344140: resource for cannot load part
									alert.
		 <3>	  4/9/96	DH		1308248: 1.0.2 Drag of no-part to trash is
									rejected. Added unknown category string
									resource. 1296171:
		 <2>	.03.1996	NP		Added comment.
		 <1>	.03.1996	NP		first checked in
	To Do:
*/

#define SystemSevenOrBetter 1			// we want the extended types
#define	SystemSevenOrLater	1			// Types.r uses this variable

#ifndef __TYPES_R__
#include "Types.r"
#endif

#ifndef _STORRSRC_
#include "StorRsrc.h"
#endif

resource 'ALRT' (kODAlertFatalContainerError,
#if ODDEBUG
"Fatal Bento Error",
#endif
preload) {
	{40, 40, 142, 318},
	560,
	{	/* array: 4 elements */
		/* [1] */
		OK, visible, sound1,
		/* [2] */
		OK, visible, sound1,
		/* [3] */
		OK, visible, sound1,
		/* [4] */
		OK, visible, sound1
	},
	alertPositionMainScreen
};

/* NOTE THAT WE EXPLICITLY USE ICON #0 IN THIS DITL RATHER THAN CALLING
	StopAlert TO INSERT THE ICON. WE DO THIS BECAUSE WE WANT TO MAKE SURE
	THE ICON IS ALWAYS LOADED INTO MEMORY */

resource 'DITL' (kODAlertFatalContainerError,
#if ODDEBUG
"Fatal Bento Error",
#endif
preload) {
	{	/* array DITLarray: 3 elements */
		/* [1] */
		{69, 201, 89, 263},
		Button {
			enabled,
			"Quit"
		},
		/* [2] */
		{10, 72, 58, 265},
		StaticText {
			disabled,
			"Sorry, this document must immediately qu"
			"it due to a fatal storage error."
		},
		/* [3] */
		{11, 20, 43, 52},
		Icon {
			disabled,
			0
		}
	}
};

resource 'STR ' (kODUnknownCategoryStr, "Unknown Category Name") {
	"Unknown Category"
};

resource 'ALRT' (kODAlertCannotLoadPartError,purgeable) {
	{80, 80, 258, 462},
	kODAlertCannotLoadPartError,
	{	/* array: 4 elements */
		/* [1] */
		OK, visible, sound1;
		/* [2] */
		OK, visible, sound1;
		/* [3] */
		OK, visible, sound1;
		/* [4] */
		OK, visible, sound1
	}
#if SystemSevenOrLater
	,
	alertPositionParentWindowScreen
#endif
};

resource 'DITL' (kODAlertCannotLoadPartError,purgeable) {
	{	/* array DITLarray: 3 elements */
		/* [1] */
		{140, 258, 158, 332},
		Button {
			enabled,
			"OK"
		},
		/* [2] */
		{10, 70, 135, 332},
		StaticText {
			disabled,
			"The part editor ^0 could not be loaded"
			". Try reinstalling it."
		},
		/* [4] */
		{10, 20, 42, 52},
		Icon {
			disabled,
			2
		}
	}
};

