/*
	File:		TransDlg.h

	Contains:	Class definition for Translation dialog object

	Owned by:	Craig Carper 

	Copyright:	 1993 - 1995 by Apple Computer, Inc., all rights reserved.

	Change History (most recent first):

		 <5>	 3/28/95	CC		1229640: Added forPaste parameter to
									ShowTranslateDialog.
		 <4>	 3/28/95	CC		1233117: Removed unused ODStorageUnit
									parameter from  ShowPartTranslateDialog.
		 <3>	 3/27/95	CC		1229640: Renamed ShowTranslateDialog() to
									ShowPartTranslateDialog().
									Added ShowPartTranslateDialog().
		 <2>	12/13/94	CG		#1187128: Added StorageUnit and PartWrapper
									parameters to ShowTranslateDialog().
		 <1>	11/17/94	CG		first checked in
	To Do:
*/

#ifndef _TRANSDLG_
#define _TRANSDLG_

#ifndef _PLFMDEF_
#include <PlfmDef.h>
#endif


//=====================================================================================
// Classes defined in this interface
//=====================================================================================

class TranslationDialog;

//=====================================================================================
// Classes used by this interface
//=====================================================================================

class ODStorageUnit;
class ODPartWrapper;
class ODSession;

//=====================================================================================
// Class TranslationDialog
//=====================================================================================

class TranslationDialog
{
public:
	
	TranslationDialog();
	
	ODVMethod ~TranslationDialog();
	
	ODNVMethod void InitTranslationDialog(ODSession* session);
		 		 
	ODNVMethod ODBoolean ShowPartTranslateDialog(ODPartWrapper* partWrapper);

	// On return, selectedKind may be changed even if the result is kODFalse.
	ODNVMethod ODBoolean ShowTranslateDialog(
							ODTypeList*	translateToList,
							ODUShort*	selectedKind,
							ODEditor*	editor,
							ODBoolean	canChangeEditor,
							ODBoolean	forPaste);

// Fields:
	ODSession* 		fSession;
};

#endif /* _TRANSDLG_ */