/*
	File:		FocusMod.cpp

	Contains:	Implementation of ODFocusModule

	Owned by:	Chris Linn

	Copyright:	 1994 - 1996 by Apple Computer, Inc., all rights reserved.

	Change History (most recent first):

		 <2>	 6/21/96	CSL		1343659: ODFocusModule should be dynamic
									SOM class.
		 <8>	 8/15/95	RR		#1276680 Removed redundant fields, and
									uninit overrides.
		 <7>	  8/3/95	RR		#1257260: Collapse B classes. Remove
									somInit methods. Don't call IsInitialized
									or SubclassResponsibility
		 <6>	 5/26/95	RR		#1251403: Multithreading naming support
		 <5>	  4/7/95	RR		#1216618 Added SOM_TRY etc.
		 <4>	10/18/94	RR		Simple empty default implementations for
									BRF, CRF and ARF
		 <3>	  9/2/94	RR		#1184275 Pass transferringFrame and
									newOwner to focusModule::TransferFocus
		 <2>	 8/15/94	JBS		1181174: added TransferFocusOwnership()
		 <1>	 9/26/94	RR		first checked in

	To Do:
*/


/*
 *  This file was generated by the SOM Compiler.
 *  Generated using: 
 *      SOM Emitter emitxtm.dll: somc/smmain.c
 */

#define ODFocusModule_Class_Source
#define VARIABLE_MACROS
#include <FocusMod.xih>

#ifndef SOM_ODPart_xh
#include "Part.xh"
#endif

#ifndef SOM_ODFrame_xh
#include "Frame.xh"
#endif

SOM_Scope void  SOMLINK ODFocusModuleInitFocusModule(ODFocusModule *somSelf, Environment *ev,
		ODSession* session)
{
    //ODFocusModuleData *somThis = ODFocusModuleGetData(somSelf);
    ODFocusModuleMethodDebug("ODFocusModule","InitFocusModule");
    
    SOM_TRY
		
		somSelf->InitObject(ev);
				
		SOMClass* cls = somSelf->somGetClass();
		cls->somMakeDynamicClassReference();
		somReleaseClassReference ( cls );

	SOM_CATCH_ALL
	SOM_ENDTRY
}

SOM_Scope ODBoolean  SOMLINK ODFocusModuleIsFocusExclusive(ODFocusModule *somSelf, Environment *ev,
		ODTypeToken focus)
{
    //ODFocusModuleData *somThis = ODFocusModuleGetData(somSelf);
    ODFocusModuleMethodDebug("ODFocusModule","IsFocusExclusive");

	WARN("A subclass should have overridden this method!");
	ODSetSOMException(ev,kODErrSubClassResponsibility, "SubClass Responsibility");
	return kODTrue;
}

SOM_Scope void  SOMLINK ODFocusModuleSetFocusOwnership(ODFocusModule *somSelf, Environment *ev,
		ODTypeToken focus,
		ODFrame* frame)
{
    //ODFocusModuleData *somThis = ODFocusModuleGetData(somSelf);
    ODFocusModuleMethodDebug("ODFocusModule","SetFocusOwnership");

	WARN("A subclass should have overridden this method!");
	ODSetSOMException(ev,kODErrSubClassResponsibility, "SubClass Responsibility");
}

SOM_Scope void  SOMLINK ODFocusModuleUnsetFocusOwnership(ODFocusModule *somSelf, Environment *ev,
		ODTypeToken focus,
		ODFrame* frame)
{
    //ODFocusModuleData *somThis = ODFocusModuleGetData(somSelf);
    ODFocusModuleMethodDebug("ODFocusModule","UnsetFocusOwnership");

	WARN("A subclass should have overridden this method!");
	ODSetSOMException(ev,kODErrSubClassResponsibility, "SubClass Responsibility");
}

SOM_Scope void  SOMLINK ODFocusModuleTransferFocusOwnership(ODFocusModule *somSelf, Environment *ev,
		ODTypeToken focus,
		ODFrame* transferringFrame,
		ODFrame* newOwner)
{
   // ODFocusModuleData *somThis = ODFocusModuleGetData(somSelf);
    ODFocusModuleMethodDebug("ODFocusModule","TransferFocusOwnership");

	WARN("A subclass should have overridden this method!");
	ODSetSOMException(ev,kODErrSubClassResponsibility, "SubClass Responsibility");
}

SOM_Scope ODFrame*  SOMLINK ODFocusModuleAcquireFocusOwner(ODFocusModule *somSelf, Environment *ev,
		ODTypeToken focus)
{
    //ODFocusModuleData *somThis = ODFocusModuleGetData(somSelf);
    ODFocusModuleMethodDebug("ODFocusModule","AcquireFocusOwner");

	WARN("A subclass should have overridden this method!");
	ODSetSOMException(ev,kODErrSubClassResponsibility, "SubClass Responsibility");
	return kODNULL;
}

SOM_Scope ODFocusOwnerIterator*  SOMLINK ODFocusModuleCreateOwnerIterator(ODFocusModule *somSelf, Environment *ev,
		ODTypeToken focus)
{
    //ODFocusModuleData *somThis = ODFocusModuleGetData(somSelf);
    ODFocusModuleMethodDebug("ODFocusModule","CreateOwnerIterator");

	WARN("A subclass should have overridden this method!");
	ODSetSOMException(ev,kODErrSubClassResponsibility, "SubClass Responsibility");
	return kODNULL;
}

SOM_Scope ODBoolean  SOMLINK ODFocusModuleBeginRelinquishFocus(ODFocusModule *somSelf, Environment *ev,
		ODTypeToken focus,
		ODFrame* requestingFrame)
{
    // ODFocusModuleData *somThis = ODFocusModuleGetData(somSelf);
    ODFocusModuleMethodDebug("ODFocusModule","BeginRelinquishFocus");

	return kODTrue;
}

SOM_Scope void  SOMLINK ODFocusModuleCommitRelinquishFocus(ODFocusModule *somSelf, Environment *ev,
		ODTypeToken focus,
		ODFrame* requestingFrame)
{
    // ODFocusModuleData *somThis = ODFocusModuleGetData(somSelf);
    ODFocusModuleMethodDebug("ODFocusModule","CommitRelinquishFocus");
}

SOM_Scope void  SOMLINK ODFocusModuleAbortRelinquishFocus(ODFocusModule *somSelf, Environment *ev,
		ODTypeToken focus,
		ODFrame* requestingFrame)
{
    // ODFocusModuleData *somThis = ODFocusModuleGetData(somSelf);
    ODFocusModuleMethodDebug("ODFocusModule","AbortRelinquishFocus");
}

